Subject: Re: [PATCH 1/1] tun: TUNGETIFF interface to query name and flags

From: Max Krasnyansky <[email-masked]>
Date: Fri, 15 Aug 2008 11:00:19 -0700

Sorry for the delay guys. Was trying to get QEMU USB changes out and was not
paying attention to the other stuff :)

Rusty Russell wrote:
> On Thursday 14 August 2008 00:30:16 Mark McLoughlin wrote:
>> A very simple approach is attached; I did consider doing a TUNGETFLAGS
>> that would return tun->flags, but I think it's nicer to have a companion
>> to TUNGETIFF since it also allows one to query the interface name from
>> the file descriptor.
> 
> This seems really sensible to me.
> 
> If Max acks it, I'd say Dave should merge it.

Makes perfect sense to me.
Definitely Ack. It has zero impact on existing user and I'd be ok if this goes
 in during .27-rc series.

Max